snd_pcm_lib_free_pages
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_lib_free_pages — release the allocated DMA buffer.

## Synopsis

`int snd_pcm_lib_free_pages (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the substream to release the DMA buffer

## Description

Releases the DMA buffer allocated via `snd_pcm_lib_malloc_pages`.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_pcm_lib_malloc_pages | Home | snd_card_new